--- JoglPipelineOLD.java	2016-11-07 16:27:54.000000000 +0100
+++ JoglPipeline.java	2017-12-28 22:54:49.000000000 +0100
@@ -165,31 +657,31 @@
     // used by GeometryArray by Reference with java arrays
     @Override
     void executeVA(Context ctx,
-            GeometryArrayRetained geo, int geo_type,
-            boolean isNonUniformScale,
-            boolean ignoreVertexColors,
-            int vcount,
-            int vformat,
-            int vdefined,
-            int initialCoordIndex, float[] vfcoords, double[] vdcoords,
-            int initialColorIndex, float[] cfdata, byte[] cbdata,
-            int initialNormalIndex, float[] ndata,
-            int vertexAttrCount, int[] vertexAttrSizes,
-            int[] vertexAttrIndices, float[][] vertexAttrData,
-            int texCoordMapLength,
-            int[] texcoordoffset,
-            int numActiveTexUnitState,
-            int[] texIndex, int texstride, Object[] texCoords,
-            int cdirty) {
+                   GeometryArrayRetained geo, int geo_type,
+                   boolean isNonUniformScale,
+                   boolean ignoreVertexColors,
+                   int vcount,
+                   int vformat,
+                   int vdefined,
+                   int initialCoordIndex, float[] vfcoords, double[] vdcoords,
+                   int initialColorIndex, float[] cfdata, byte[] cbdata,
+                   int initialNormalIndex, float[] ndata,
+                   int vertexAttrCount, int[] vertexAttrSizes,
+                   int[] vertexAttrIndices, float[][] vertexAttrData,
+                   int texCoordMapLength,
+                   int[] texcoordoffset,
+                   int numActiveTexUnitState,
+                   int[] texIndex, int texstride, Object[] texCoords,
+                   int cdirty) {
         if (VERBOSE) System.err.println("JoglPipeline.executeVA()");
 
-        boolean floatCoordDefined  = ((vdefined & GeometryArrayRetained.COORD_FLOAT)    != 0);
-        boolean doubleCoordDefined = ((vdefined & GeometryArrayRetained.COORD_DOUBLE)   != 0);
-        boolean floatColorsDefined = ((vdefined & GeometryArrayRetained.COLOR_FLOAT)    != 0);
-        boolean byteColorsDefined  = ((vdefined & GeometryArrayRetained.COLOR_BYTE)     != 0);
-        boolean normalsDefined     = ((vdefined & GeometryArrayRetained.NORMAL_FLOAT)   != 0);
-        boolean vattrDefined       = ((vdefined & GeometryArrayRetained.VATTR_FLOAT)    != 0);
-        boolean textureDefined     = ((vdefined & GeometryArrayRetained.TEXCOORD_FLOAT) != 0);
+        boolean floatCoordDefined = ((vdefined & GeometryArrayRetained.COORD_FLOAT) != 0);
+        boolean doubleCoordDefined = ((vdefined & GeometryArrayRetained.COORD_DOUBLE) != 0);
+        boolean floatColorsDefined = ((vdefined & GeometryArrayRetained.COLOR_FLOAT) != 0);
+        boolean byteColorsDefined = ((vdefined & GeometryArrayRetained.COLOR_BYTE) != 0);
+        boolean normalsDefined = ((vdefined & GeometryArrayRetained.NORMAL_FLOAT) != 0);
+        boolean vattrDefined = ((vdefined & GeometryArrayRetained.VATTR_FLOAT) != 0);
+        boolean textureDefined = ((vdefined & GeometryArrayRetained.TEXCOORD_FLOAT) != 0);
 
         FloatBuffer fverts = null;
         DoubleBuffer dverts = null;
@@ -232,7 +724,7 @@
         int[] start_array = null;
         int strip_len = 0;
         if (geo_type == GeometryRetained.GEO_TYPE_TRI_STRIP_SET ||
-                geo_type == GeometryRetained.GEO_TYPE_TRI_FAN_SET   ||
+                geo_type == GeometryRetained.GEO_TYPE_TRI_FAN_SET ||
                 geo_type == GeometryRetained.GEO_TYPE_LINE_STRIP_SET) {
             sarray = ((GeometryStripArrayRetained) geo).stripVertexCounts;
             strip_len = sarray.length;
@@ -256,34 +748,34 @@
     // used by GeometryArray by Reference with NIO buffer
     @Override
     void executeVABuffer(Context ctx,
-            GeometryArrayRetained geo, int geo_type,
-            boolean isNonUniformScale,
-            boolean ignoreVertexColors,
-            int vcount,
-            int vformat,
-            int vdefined,
-            int initialCoordIndex,
-            Buffer vcoords,
-            int initialColorIndex,
-            Buffer cdataBuffer,
-            float[] cfdata, byte[] cbdata,
-            int initialNormalIndex, FloatBuffer ndata,
-            int vertexAttrCount, int[] vertexAttrSizes,
-            int[] vertexAttrIndices, FloatBuffer[] vertexAttrData,
-            int texCoordMapLength,
-            int[] texcoordoffset,
-            int numActiveTexUnitState,
-            int[] texIndex, int texstride, Object[] texCoords,
-            int cdirty) {
+                         GeometryArrayRetained geo, int geo_type,
+                         boolean isNonUniformScale,
+                         boolean ignoreVertexColors,
+                         int vcount,
+                         int vformat,
+                         int vdefined,
+                         int initialCoordIndex,
+                         Buffer vcoords,
+                         int initialColorIndex,
+                         Buffer cdataBuffer,
+                         float[] cfdata, byte[] cbdata,
+                         int initialNormalIndex, FloatBuffer ndata,
+                         int vertexAttrCount, int[] vertexAttrSizes,
+                         int[] vertexAttrIndices, FloatBuffer[] vertexAttrData,
+                         int texCoordMapLength,
+                         int[] texcoordoffset,
+                         int numActiveTexUnitState,
+                         int[] texIndex, int texstride, Object[] texCoords,
+                         int cdirty) {
         if (VERBOSE) System.err.println("JoglPipeline.executeVABuffer()");
 
-        boolean floatCoordDefined  = ((vdefined & GeometryArrayRetained.COORD_FLOAT)    != 0);
-        boolean doubleCoordDefined = ((vdefined & GeometryArrayRetained.COORD_DOUBLE)   != 0);
-        boolean floatColorsDefined = ((vdefined & GeometryArrayRetained.COLOR_FLOAT)    != 0);
-        boolean byteColorsDefined  = ((vdefined & GeometryArrayRetained.COLOR_BYTE)     != 0);
-        boolean normalsDefined     = ((vdefined & GeometryArrayRetained.NORMAL_FLOAT)   != 0);
-        boolean vattrDefined       = ((vdefined & GeometryArrayRetained.VATTR_FLOAT)    != 0);
-        boolean textureDefined     = ((vdefined & GeometryArrayRetained.TEXCOORD_FLOAT) != 0);
+        boolean floatCoordDefined = ((vdefined & GeometryArrayRetained.COORD_FLOAT) != 0);
+        boolean doubleCoordDefined = ((vdefined & GeometryArrayRetained.COORD_DOUBLE) != 0);
+        boolean floatColorsDefined = ((vdefined & GeometryArrayRetained.COLOR_FLOAT) != 0);
+        boolean byteColorsDefined = ((vdefined & GeometryArrayRetained.COLOR_BYTE) != 0);
+        boolean normalsDefined = ((vdefined & GeometryArrayRetained.NORMAL_FLOAT) != 0);
+        boolean vattrDefined = ((vdefined & GeometryArrayRetained.VATTR_FLOAT) != 0);
+        boolean textureDefined = ((vdefined & GeometryArrayRetained.TEXCOORD_FLOAT) != 0);
 
         FloatBuffer fverts = null;
         DoubleBuffer dverts = null;
@@ -338,7 +830,7 @@
         int[] start_array = null;
         int strip_len = 0;
         if (geo_type == GeometryRetained.GEO_TYPE_TRI_STRIP_SET ||
-                geo_type == GeometryRetained.GEO_TYPE_TRI_FAN_SET   ||
+                geo_type == GeometryRetained.GEO_TYPE_TRI_FAN_SET ||
                 geo_type == GeometryRetained.GEO_TYPE_LINE_STRIP_SET) {
             sarray = ((GeometryStripArrayRetained) geo).stripVertexCounts;
             strip_len = sarray.length;
@@ -362,16 +854,16 @@
     // used by GeometryArray by Reference in interleaved format with NIO buffer
     @Override
     void executeInterleavedBuffer(Context ctx,
-            GeometryArrayRetained geo, int geo_type,
-            boolean isNonUniformScale,
-            boolean useAlpha,
-            boolean ignoreVertexColors,
-            int startVIndex, int vcount, int vformat,
-            int texCoordSetCount, int[] texCoordSetMap,
-            int texCoordSetMapLen,
-            int[] texUnitOffset,
-            int numActiveTexUnit,
-            FloatBuffer varray, float[] cdata, int cdirty) {
+                                  GeometryArrayRetained geo, int geo_type,
+                                  boolean isNonUniformScale,
+                                  boolean useAlpha,
+                                  boolean ignoreVertexColors,
+                                  int startVIndex, int vcount, int vformat,
+                                  int texCoordSetCount, int[] texCoordSetMap,
+                                  int texCoordSetMapLen,
+                                  int[] texUnitOffset,
+                                  int numActiveTexUnit,
+                                  FloatBuffer varray, float[] cdata, int cdirty) {
         if (VERBOSE) System.err.println("JoglPipeline.executeInterleavedBuffer()");
 
         executeGeometryArray(ctx, geo, geo_type,
@@ -384,10 +876,10 @@
 
     @Override
     void setVertexFormat(Context ctx, GeometryArrayRetained geo,
-            int vformat, boolean useAlpha, boolean ignoreVertexColors) {
+                         int vformat, boolean useAlpha, boolean ignoreVertexColors) {
         if (VERBOSE) System.err.println("JoglPipeline.setVertexFormat()");
 
-		GL2 gl = context(ctx).getGL().getGL2();
+        GL2 gl = context(ctx).getGL().getGL2();
 
         // Enable and disable the appropriate pointers
         if ((vformat & GeometryArray.NORMALS) != 0) {
@@ -411,20 +903,20 @@
     // used for GeometryArrays
     @Override
     void buildGA(Context ctx,
-            GeometryArrayRetained geo, int geo_type,
-            boolean isNonUniformScale, boolean updateAlpha,
-            float alpha,
-            boolean ignoreVertexColors,
-            int startVIndex,
-            int vcount, int vformat,
-            int texCoordSetCount, int[] texCoordSetMap,
-            int texCoordSetMapLen, int[] texCoordSetMapOffset,
-            int vertexAttrCount, int[] vertexAttrSizes,
-            double[] xform, double[] nxform,
-            float[] varray) {
+                 GeometryArrayRetained geo, int geo_type,
+                 boolean isNonUniformScale, boolean updateAlpha,
+                 float alpha,
+                 boolean ignoreVertexColors,
+                 int startVIndex,
+                 int vcount, int vformat,
+                 int texCoordSetCount, int[] texCoordSetMap,
+                 int texCoordSetMapLen, int[] texCoordSetMapOffset,
+                 int vertexAttrCount, int[] vertexAttrSizes,
+                 double[] xform, double[] nxform,
+                 float[] varray) {
         if (VERBOSE) System.err.println("JoglPipeline.buildGA()");
         JoglContext jctx = (JoglContext) ctx;
-		GL2 gl = context(ctx).getGL().getGL2();
+        GL2 gl = context(ctx).getGL().getGL2();
         FloatBuffer verts = null;
         int stride = 0, coordoff = 0, normoff = 0, coloroff = 0, texCoordoff = 0;
         int texStride = 0;
@@ -481,7 +973,7 @@
             texCoordoff += vAttrStride;
         }
 
-		int bstride = stride * Buffers.SIZEOF_FLOAT;
+        int bstride = stride * Buffers.SIZEOF_FLOAT;
         // Start sending down from the startVIndex
         int initialOffset = startVIndex * stride;
         normoff += initialOffset;
@@ -497,19 +989,19 @@
         }
 
         if (geo_type == GeometryRetained.GEO_TYPE_TRI_STRIP_SET ||
-                geo_type == GeometryRetained.GEO_TYPE_TRI_FAN_SET   ||
+                geo_type == GeometryRetained.GEO_TYPE_TRI_FAN_SET ||
                 geo_type == GeometryRetained.GEO_TYPE_LINE_STRIP_SET) {
             int[] sarray = ((GeometryStripArrayRetained) geo).stripVertexCounts;
 
             int primType = 0;
             switch (geo_type) {
-                case GeometryRetained.GEO_TYPE_TRI_STRIP_SET :
+                case GeometryRetained.GEO_TYPE_TRI_STRIP_SET:
                     primType = GL.GL_TRIANGLE_STRIP;
                     break;
-                case GeometryRetained.GEO_TYPE_TRI_FAN_SET :
+                case GeometryRetained.GEO_TYPE_TRI_FAN_SET:
                     primType = GL.GL_TRIANGLE_FAN;
                     break;
-                case GeometryRetained.GEO_TYPE_LINE_STRIP_SET :
+                case GeometryRetained.GEO_TYPE_LINE_STRIP_SET:
                     primType = GL.GL_LINE_STRIP;
                     break;
             }
@@ -524,35 +1016,35 @@
                     if ((vformat & GeometryArray.NORMALS) != 0) {
                         if (nxform != null) {
                             float nx = (float) (nxform[0] * varray[normoff] +
-                                    nxform[1] * varray[normoff+1] +
-                                    nxform[2] * varray[normoff+2]);
+                                    nxform[1] * varray[normoff + 1] +
+                                    nxform[2] * varray[normoff + 2]);
                             float ny = (float) (nxform[4] * varray[normoff] +
-                                    nxform[5] * varray[normoff+1] +
-                                    nxform[6] * varray[normoff+2]);
+                                    nxform[5] * varray[normoff + 1] +
+                                    nxform[6] * varray[normoff + 2]);
                             float nz = (float) (nxform[8] * varray[normoff] +
-                                    nxform[9] * varray[normoff+1] +
-                                    nxform[10] * varray[normoff+2]);
+                                    nxform[9] * varray[normoff + 1] +
+                                    nxform[10] * varray[normoff + 2]);
                             gl.glNormal3f(nx, ny, nz);
                         } else {
-                            gl.glNormal3f(varray[normoff], varray[normoff+1], varray[normoff+2]);
+                            gl.glNormal3f(varray[normoff], varray[normoff + 1], varray[normoff + 2]);
                         }
                     }
                     if ((vformat & GeometryArray.COLOR) != 0) {
                         if (useAlpha) {
                             gl.glColor4f(varray[coloroff],
-                                    varray[coloroff+1],
-                                    varray[coloroff+2],
-                                    varray[coloroff+3] * alpha);
+                                    varray[coloroff + 1],
+                                    varray[coloroff + 2],
+                                    varray[coloroff + 3] * alpha);
                         } else {
                             if ((vformat & GeometryArray.WITH_ALPHA) != 0) { // alpha is present
                                 gl.glColor4f(varray[coloroff],
-                                        varray[coloroff+1],
-                                        varray[coloroff+2],
-                                        varray[coloroff+3]);
+                                        varray[coloroff + 1],
+                                        varray[coloroff + 2],
+                                        varray[coloroff + 3]);
                             } else {
                                 gl.glColor3f(varray[coloroff],
-                                        varray[coloroff+1],
-                                        varray[coloroff+2]);
+                                        varray[coloroff + 1],
+                                        varray[coloroff + 2]);
                             }
                         }
                     }
@@ -640,22 +1132,22 @@
                     if ((vformat & GeometryArray.COORDINATES) != 0) {
                         if (xform != null) {
                             // transform the vertex data with the static transform
-                            float w    = (float) (xform[12] * varray[coordoff] +
-                                    xform[13] * varray[coordoff+1] +
-                                    xform[14] * varray[coordoff+2] +
+                            float w = (float) (xform[12] * varray[coordoff] +
+                                    xform[13] * varray[coordoff + 1] +
+                                    xform[14] * varray[coordoff + 2] +
                                     xform[15]);
-                            float winv = 1.0f/w;
+                            float winv = 1.0f / w;
                             float vx = (float) (xform[0] * varray[coordoff] +
-                                    xform[1] * varray[coordoff+1] +
-                                    xform[2] * varray[coordoff+2] +
+                                    xform[1] * varray[coordoff + 1] +
+                                    xform[2] * varray[coordoff + 2] +
                                     xform[3]) * winv;
                             float vy = (float) (xform[4] * varray[coordoff] +
-                                    xform[5] * varray[coordoff+1] +
-                                    xform[6] * varray[coordoff+2] +
+                                    xform[5] * varray[coordoff + 1] +
+                                    xform[6] * varray[coordoff + 2] +
                                     xform[7]) * winv;
                             float vz = (float) (xform[8] * varray[coordoff] +
-                                    xform[9] * varray[coordoff+1] +
-                                    xform[10] * varray[coordoff+2] +
+                                    xform[9] * varray[coordoff + 1] +
+                                    xform[10] * varray[coordoff + 2] +
                                     xform[11]) * winv;
                             gl.glVertex3f(vx, vy, vz);
                         } else {
@@ -676,16 +1168,16 @@
                 (geo_type == GeometryRetained.GEO_TYPE_LINE_SET)) {
             int primType = 0;
             switch (geo_type) {
-                case GeometryRetained.GEO_TYPE_QUAD_SET :
+                case GeometryRetained.GEO_TYPE_QUAD_SET:
                     primType = GL2.GL_QUADS;
                     break;
-                case GeometryRetained.GEO_TYPE_TRI_SET :
+                case GeometryRetained.GEO_TYPE_TRI_SET:
                     primType = GL.GL_TRIANGLES;
                     break;
-                case GeometryRetained.GEO_TYPE_POINT_SET :
+                case GeometryRetained.GEO_TYPE_POINT_SET:
                     primType = GL.GL_POINTS;
                     break;
-                case GeometryRetained.GEO_TYPE_LINE_SET :
+                case GeometryRetained.GEO_TYPE_LINE_SET:
                     primType = GL.GL_LINES;
                     break;
             }
@@ -699,14 +1191,14 @@
                 if ((vformat & GeometryArray.NORMALS) != 0) {
                     if (nxform != null) {
                         float nx = (float) (nxform[0] * varray[normoff] +
-                                nxform[1] * varray[normoff+1] +
-                                nxform[2] * varray[normoff+2]);
+                                nxform[1] * varray[normoff + 1] +
+                                nxform[2] * varray[normoff + 2]);
                         float ny = (float) (nxform[4] * varray[normoff] +
-                                nxform[5] * varray[normoff+1] +
-                                nxform[6] * varray[normoff+2]);
+                                nxform[5] * varray[normoff + 1] +
+                                nxform[6] * varray[normoff + 2]);
                         float nz = (float) (nxform[8] * varray[normoff] +
-                                nxform[9] * varray[normoff+1] +
-                                nxform[10] * varray[normoff+2]);
+                                nxform[9] * varray[normoff + 1] +
+                                nxform[10] * varray[normoff + 2]);
                         gl.glNormal3f(nx, ny, nz);
                     } else {
                         gl.glNormal3f(varray[normoff], varray[normoff + 1], varray[normoff + 2]);
@@ -825,21 +1317,21 @@
                     if (xform != null) {
                         // transform the vertex data with the static transform
                         float w = (float) (xform[12] * varray[coordoff] +
-                                xform[13] * varray[coordoff+1] +
-                                xform[14] * varray[coordoff+2] +
+                                xform[13] * varray[coordoff + 1] +
+                                xform[14] * varray[coordoff + 2] +
                                 xform[15]);
-                        float winv = 1.0f/w;
+                        float winv = 1.0f / w;
                         float vx = (float) (xform[0] * varray[coordoff] +
-                                xform[1] * varray[coordoff+1] +
-                                xform[2] * varray[coordoff+2] +
+                                xform[1] * varray[coordoff + 1] +
+                                xform[2] * varray[coordoff + 2] +
                                 xform[3]) * winv;
                         float vy = (float) (xform[4] * varray[coordoff] +
-                                xform[5] * varray[coordoff+1] +
-                                xform[6] * varray[coordoff+2] +
+                                xform[5] * varray[coordoff + 1] +
+                                xform[6] * varray[coordoff + 2] +
                                 xform[7]) * winv;
                         float vz = (float) (xform[8] * varray[coordoff] +
-                                xform[9] * varray[coordoff+1] +
-                                xform[10] * varray[coordoff+2] +
+                                xform[9] * varray[coordoff + 1] +
+                                xform[10] * varray[coordoff + 2] +
                                 xform[11]) * winv;
                         gl.glVertex3f(vx, vy, vz);
                     } else {
@@ -859,33 +1351,33 @@
     // used to Build Dlist GeometryArray by Reference with java arrays
     @Override
     void buildGAForByRef(Context ctx,
-            GeometryArrayRetained geo, int geo_type,
-            boolean isNonUniformScale,  boolean updateAlpha,
-            float alpha,
-            boolean ignoreVertexColors,
-            int vcount,
-            int vformat,
-            int vdefined,
-            int initialCoordIndex, float[] vfcoords, double[] vdcoords,
-            int initialColorIndex, float[] cfdata, byte[] cbdata,
-            int initialNormalIndex, float[] ndata,
-            int vertexAttrCount, int[] vertexAttrSizes,
-            int[] vertexAttrIndices, float[][] vertexAttrData,
-            int texCoordMapLength,
-            int[] tcoordsetmap,
-            int[] texIndices, int texStride, Object[] texCoords,
-            double[] xform, double[] nxform) {
+                         GeometryArrayRetained geo, int geo_type,
+                         boolean isNonUniformScale, boolean updateAlpha,
+                         float alpha,
+                         boolean ignoreVertexColors,
+                         int vcount,
+                         int vformat,
+                         int vdefined,
+                         int initialCoordIndex, float[] vfcoords, double[] vdcoords,
+                         int initialColorIndex, float[] cfdata, byte[] cbdata,
+                         int initialNormalIndex, float[] ndata,
+                         int vertexAttrCount, int[] vertexAttrSizes,
+                         int[] vertexAttrIndices, float[][] vertexAttrData,
+                         int texCoordMapLength,
+                         int[] tcoordsetmap,
+                         int[] texIndices, int texStride, Object[] texCoords,
+                         double[] xform, double[] nxform) {
         if (VERBOSE) System.err.println("JoglPipeline.buildGAForByRef()");
 
-		GL2 gl = context(ctx).getGL().getGL2();
+        GL2 gl = context(ctx).getGL().getGL2();
 
-        boolean floatCoordDefined  = ((vdefined & GeometryArrayRetained.COORD_FLOAT)    != 0);
-        boolean doubleCoordDefined = ((vdefined & GeometryArrayRetained.COORD_DOUBLE)   != 0);
-        boolean floatColorsDefined = ((vdefined & GeometryArrayRetained.COLOR_FLOAT)    != 0);
-        boolean byteColorsDefined  = ((vdefined & GeometryArrayRetained.COLOR_BYTE)     != 0);
-        boolean normalsDefined     = ((vdefined & GeometryArrayRetained.NORMAL_FLOAT)   != 0);
-        boolean vattrDefined       = ((vdefined & GeometryArrayRetained.VATTR_FLOAT)    != 0);
-        boolean textureDefined     = ((vdefined & GeometryArrayRetained.TEXCOORD_FLOAT) != 0);
+        boolean floatCoordDefined = ((vdefined & GeometryArrayRetained.COORD_FLOAT) != 0);
+        boolean doubleCoordDefined = ((vdefined & GeometryArrayRetained.COORD_DOUBLE) != 0);
+        boolean floatColorsDefined = ((vdefined & GeometryArrayRetained.COLOR_FLOAT) != 0);
+        boolean byteColorsDefined = ((vdefined & GeometryArrayRetained.COLOR_BYTE) != 0);
+        boolean normalsDefined = ((vdefined & GeometryArrayRetained.NORMAL_FLOAT) != 0);
+        boolean vattrDefined = ((vdefined & GeometryArrayRetained.VATTR_FLOAT) != 0);
+        boolean textureDefined = ((vdefined & GeometryArrayRetained.TEXCOORD_FLOAT) != 0);
 
         FloatBuffer fverts = null;
         DoubleBuffer dverts = null;
@@ -915,7 +1407,7 @@
         int[] start_array = null;
         int strip_len = 0;
         if (geo_type == GeometryRetained.GEO_TYPE_TRI_STRIP_SET ||
-                geo_type == GeometryRetained.GEO_TYPE_TRI_FAN_SET   ||
+                geo_type == GeometryRetained.GEO_TYPE_TRI_FAN_SET ||
                 geo_type == GeometryRetained.GEO_TYPE_LINE_STRIP_SET) {
             sarray = ((GeometryStripArrayRetained) geo).stripVertexCounts;
             strip_len = sarray.length;
@@ -935,15 +1427,15 @@
             if (xform != null) {
                 // Must copy in and transform data
                 for (int i = initialCoordIndex; i < vcount * 3; i += 3) {
-                    fverts.put(i  , (float) (xform[0]  * vfcoords[i] +
-                            xform[1]  * vfcoords[i+1] +
-                            xform[2]  * vfcoords[i+2]));
-                    fverts.put(i+1, (float) (xform[4]  * vfcoords[i] +
-                            xform[5]  * vfcoords[i+1] +
-                            xform[6]  * vfcoords[i+2]));
-                    fverts.put(i+2, (float) (xform[8]  * vfcoords[i] +
-                            xform[9]  * vfcoords[i+1] +
-                            xform[10] * vfcoords[i+2]));
+                    fverts.put(i, (float) (xform[0] * vfcoords[i] +
+                            xform[1] * vfcoords[i + 1] +
+                            xform[2] * vfcoords[i + 2]));
+                    fverts.put(i + 1, (float) (xform[4] * vfcoords[i] +
+                            xform[5] * vfcoords[i + 1] +
+                            xform[6] * vfcoords[i + 2]));
+                    fverts.put(i + 2, (float) (xform[8] * vfcoords[i] +
+                            xform[9] * vfcoords[i + 1] +
+                            xform[10] * vfcoords[i + 2]));
                 }
             }
         } else if (doubleCoordDefined) {
@@ -952,15 +1444,15 @@
             if (xform != null) {
                 // Must copy in and transform data
                 for (int i = initialCoordIndex; i < vcount * 3; i += 3) {
-                    dverts.put(i  , (xform[0]  * vdcoords[i] +
-                            xform[1]  * vdcoords[i+1] +
-                            xform[2]  * vdcoords[i+2]));
-                    dverts.put(i+1, (xform[4]  * vdcoords[i] +
-                            xform[5]  * vdcoords[i+1] +
-                            xform[6]  * vdcoords[i+2]));
-                    dverts.put(i+2, (xform[8]  * vdcoords[i] +
-                            xform[9]  * vdcoords[i+1] +
-                            xform[10] * vdcoords[i+2]));
+                    dverts.put(i, (xform[0] * vdcoords[i] +
+                            xform[1] * vdcoords[i + 1] +
+                            xform[2] * vdcoords[i + 2]));
+                    dverts.put(i + 1, (xform[4] * vdcoords[i] +
+                            xform[5] * vdcoords[i + 1] +
+                            xform[6] * vdcoords[i + 2]));
+                    dverts.put(i + 2, (xform[8] * vdcoords[i] +
+                            xform[9] * vdcoords[i + 1] +
+                            xform[10] * vdcoords[i + 2]));
                 }
             }
         } else {
@@ -975,18 +1467,18 @@
                 // Must copy in and modify color data
                 if ((vformat & GeometryArray.WITH_ALPHA) != 0) {
                     for (int i = initialColorIndex; i < vcount * 4; i += 4) {
-                        fclrs.put(i  , cfdata[i]);
-                        fclrs.put(i+1, cfdata[i+1]);
-                        fclrs.put(i+2, cfdata[i+2]);
-                        fclrs.put(i+3, alpha * cfdata[i+3]);
+                        fclrs.put(i, cfdata[i]);
+                        fclrs.put(i + 1, cfdata[i + 1]);
+                        fclrs.put(i + 2, cfdata[i + 2]);
+                        fclrs.put(i + 3, alpha * cfdata[i + 3]);
                     }
                 } else {
                     int k = 0;
                     for (int i = initialColorIndex; i < vcount * 4; i += 4) {
-                        fclrs.put(i  , cfdata[k++]);
-                        fclrs.put(i+1, cfdata[k++]);
-                        fclrs.put(i+2, cfdata[k++]);
-                        fclrs.put(i+3, alpha);
+                        fclrs.put(i, cfdata[k++]);
+                        fclrs.put(i + 1, cfdata[k++]);
+                        fclrs.put(i + 2, cfdata[k++]);
+                        fclrs.put(i + 3, alpha);
                     }
                 }
                 vformat |= GeometryArray.WITH_ALPHA;
@@ -998,18 +1490,18 @@
                 // Must copy in and modify color data
                 if ((vformat & GeometryArray.WITH_ALPHA) != 0) {
                     for (int i = initialColorIndex; i < vcount * 4; i += 4) {
-                        bclrs.put(i  , cbdata[i]);
-                        bclrs.put(i+1, cbdata[i+1]);
-                        bclrs.put(i+2, cbdata[i+2]);
-                        bclrs.put(i+3, (byte) (alpha * (int) (cbdata[i+3] & 0xFF)));
+                        bclrs.put(i, cbdata[i]);
+                        bclrs.put(i + 1, cbdata[i + 1]);
+                        bclrs.put(i + 2, cbdata[i + 2]);
+                        bclrs.put(i + 3, (byte) (alpha * (int) (cbdata[i + 3] & 0xFF)));
                     }
                 } else {
                     int k = 0;
                     for (int i = initialColorIndex; i < vcount * 4; i += 4) {
-                        bclrs.put(i  , cbdata[k++]);
-                        bclrs.put(i+1, cbdata[k++]);
-                        bclrs.put(i+2, cbdata[k++]);
-                        bclrs.put(i+3, (byte) (alpha * 255.0f));
+                        bclrs.put(i, cbdata[k++]);
+                        bclrs.put(i + 1, cbdata[k++]);
+                        bclrs.put(i + 2, cbdata[k++]);
+                        bclrs.put(i + 3, (byte) (alpha * 255.0f));
                     }
                 }
                 vformat |= GeometryArray.WITH_ALPHA;
